<?php

namespace Mnv\Models\Users;

/**
 * Class UserFactory
 * @package Mnv\Models\Users
 */
class UserFactory
{

    /**
     * @return AdminUser
     */
    public static function developerUser() : AdminUser
    {
        return new AdminUser();
    }
    /**
     * @return AdminUser
     */
    public static function adminUser() : AdminUser
    {
        return new AdminUser();
    }

    /**
     * @return SiteUser
     */
    public static function siteUser() : SiteUser
    {
        return new SiteUser();
    }

    /**
     * @return SubscribersUser
     */
    public static function subscribersUser() : SubscribersUser
    {
        return new SubscribersUser();
    }

    /**
     * @return ClientsUser
     */
    public static function clientsUser() : ClientsUser
    {
        return new ClientsUser();
    }
}